SetPropTask (Lucene 10.5.0 benchmark API)
Description: declaration: package: org.apache.lucene.benchmark.byTask.tasks, class: SetPropTask

Package org.apache.lucene.benchmark.byTask.tasks

# Class SetPropTask

java.lang.Object
org.apache.lucene.benchmark.byTask.tasks.PerfTask
org.apache.lucene.benchmark.byTask.tasks.SetPropTask

All Implemented Interfaces:
  `Cloneable`

public class SetPropTask extends PerfTask
Set a performance test configuration property. A property may have a single value, or a sequence of values, separated by ":". If a sequence of values is specified, each time a new round starts, the next (cyclic) value is taken.
Other side effects: none.
Takes mandatory param: "name,value" pair.

See Also:
  - `NewRoundTask`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `logStep, NEW_LINE, params, stopNow`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetPropTask(PerfRunData runData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `doLogic()`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
  `void`
  `setParams(String params)`
  Set the params (property name and value).
  `boolean`
  `supportsParams()`
  Sub classes that support parameters must override this method to return true.

  ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setRunInBackground, setup, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, tearDown, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SetPropTask

    public SetPropTask(PerfRunData runData)

- ## Method Details

  - ### doLogic

    public int doLogic() throws Exception
    Description copied from class: `PerfTask`
    Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.
    Specified by:
      `doLogic` in class `PerfTask`
    Returns:
      number of work items done by this task.
    Throws:
      `Exception`

  - ### setParams

    public void setParams(String params)
    Set the params (property name and value).
    Overrides:
      `setParams` in class `PerfTask`
    Parameters:
      `params` - property name and value separated by ','.

  - ### supportsParams

    public boolean supportsParams()
    Description copied from class: `PerfTask`
    Sub classes that support parameters must override this method to return true.
    Overrides:
      `supportsParams` in class `PerfTask`
    Returns:
      true iff this task supports command line params.